## pppconfig 1.1

=== Makefile ===
all: pppconfig

bindir=$(DESTDIR)/usr/sbin
mandir=$(DESTDIR)/usr/man
version=1.0

clean:
	rm -rf *~

install:
	install -g root -o root -m 700 pppconfig $(bindir)
pppconfig: install

=== debian/changelog ===
pppconfig (1.1) unstable; urgency=low

  * At the request of Enrique Zanardi added code to check resolv.conf
    for nameservers and offer to add them if they are missing.
  * Bug 23044 fixed by adding dependecy on debianutils > 1.6.

 -- John Hasler <john@dhh.gt.org>  Fri, 12 June 1998 14:05:00 -0600

pppconfig (1.0) frozen unstable; urgency=low

  * Bug 20501 Fixed grammar and spelling errors.
  * Bug 20503 Wasn't using mktemp to create temp files.  Fixed that.
  * Bug 20502 Moved pppconfig from /usr/bin to /usr/sbin.
  * Fixed bug that sometimes left zero length temp files.
  * Made some minor changes to explanatory text.
  * secretsFile munged secrets files that had no nl at the end.  Fixed
    by inserting a nl at the begining of pppconfig's entry.
  * Replaced test for root with test for uid 0.

 -- John Hasler <john@dhh.gt.org>  Tue, 7 Apr 1998 20:00:22 -0600

pppconfig (0.9.4) unstable; urgency=low

  * Changed dependency back to whiptail.  newt does not provide it.

 -- John Hasler <john@dhh.gt.org>  Thur, 12 Mar 1998 15:00:22 -0600

pppconfig (0.9.3) unstable; urgency=low

  * Changed whiptail dependency to newt0.21

 -- John Hasler <john@dhh.gt.org>  Wed, 4 Mar 1998 16:48:22 -0600

pppconfig (0.9.2) unstable; urgency=low

  * Added dependency on whiptail
  * Fixed a typo
  * Added some tempfile paranoia

 -- John Hasler <john@dhh.gt.org>  Wed, 4 Mar 1998 16:48:22 -0600

pppconfig (0.9.1) unstable; urgency=low

  * Added multiple providers
  * Fixed a few bugs
  * Removed dependency on ed

 -- John Hasler <john@dhh.gt.org>  Sat, 28 Feb 1998 15:23:43 -0600

pppconfig (0.9) unstable; urgency=low

  * Initial Release

 -- John Hasler <john@dhh.gt.org>  Tue, 10 Feb 1998 15:23:43 -0600

  	* Initial Release.

=== debian/control ===
Source: pppconfig
Section: main
Priority: optional
Maintainer: John Hasler <jhasler@debian.org>
Standards-Version: 2.1.2.2

Package: pppconfig
Architecture: all
Depends:  ppp (>= 2.3), whiptail, debianutils (>= 1.6)
Description: pppconfig is a text based utility for configuring ppp.
 It uses menus and provides extensive explanations at each step.
 pppconfig supports PAP, CHAP, and chat methods of authentication.
 It uses the standard ppp configuration files. It sets ppp up so
 that the standard pon and poff commands can be used to control
 ppp. It allows you to have multiple isp's and give each a unique name
 so that you can dial a particular one with 'pon <name>'.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=pppconfig

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## pppconfig 2.0.5

=== debian/changelog ===
pppconfig (2.0.5) frozen unstable; urgency=medium

  * Added chmod 644 to 0dns-up and 0dns-down so that users won't be locked
    out of resolv.conf.  The bug was filed as 'normal' but I think it
    should have been 'important'.
  *Closes: #56908
  * Moved 0dns-clean from S20 to S39.
  * Closes: #56144

 -- John Hasler <john@dhh.gt.org>  Sat, 11 Mar 2000 08:00:00 -0500

pppconfig (2.0.4) unstable frozen; urgency=medium

  * Added missing #!/bin/sh to prerm, fixing a severity important bug.
  * Closes: #55994
  * Closes: #55703
  * Minor improvements to adduser stuff.

 -- John Hasler <john@dhh.gt.org>  Thu, 20 Jan 2000 08:00:00 -0500

pppconfig (2.0.3) unstable; urgency=low

  * Added 'adduser' feature to add users to the dip group.

 -- John Hasler <john@dhh.gt.org>  Fri, 14 Jan 2000 22:00:00 -0600

pppconfig (2.0.2) unstable; urgency=low
  
  * Fixed bug in modem detection stuff so that it goes to 'manual'
    when it finds that pppd is running instead of selecting ttyS1.
  * Fixed bug in finishConnection that resulted in a new connection
    being deleted if it had the same name as one deleted in the 
    same session.  Closes: #51853
  * Removed system(clear) from quit().  Closes: #51851
  * Fixed bug in getname() that sometimes left an extraneous provider name
    in the provider file.
  * Changed finishConnection() to rename deleted files instead of unlinking
    them.
  * Changed the text in the 'advanced' menu to mention scrolling.
    Closes: #52291
  * Revised 0dns-up to put dynamic nameservers last.  Closes: #53222
  * I cannot reproduce this bug, it is not in pppconfig, and the submitter
    does not respond.  Closes: #54207
  * Scripts are now 755. Closes: #54322

 -- John Hasler <john@dhh.gt.org>  Sat, 8 Jan 2000 22:00:00 -0600

pppconfig (2.0.1) unstable; urgency=low
  
  * Took out dummy address stuff.  Demand does not require it despite
    what the man page says.
  * Fixed typo in newoptions.
  * Added code to writefile() to remove blank lines.

 -- John Hasler <john@dhh.gt.org>  Wed, 10 Nov 1999 22:00:00 -0600

pppconfig (2.0) unstable; urgency=low

  * Added demand dialing support.
  * Added persist option.
  * pppconfig accepts a provider name on the command line.  Closes: #43213
  * Made 'pre-login' appear for CHAP and PAP as well as CHAT.
  * Re-wrote secrets_file() and ispauth().  Closes: #43680
  * 43641 appears to be user error.  Closes: #43641
  * 42716 appears to be user error.  Closes: #42716
  * Fixed Quit. Closes: #43212

 -- John Hasler <john@dhh.gt.org>  Fri, 5 Nov 1999 22:00:00 -0600
  

pppconfig (1.9.3beta2.0) unstable; urgency=low

  * Fixed bug that caused dialog to be called with an extra argument.
  * made use of 'defaultno' conditional on whiptail because
    dialog doesn't support it.
  * Fixed radiolists to use on/off.
  * Got rid of main menu cancel button.
  * Fixed bug that could hang the program when probing a mouse.
  * Fixed dependency on POSIX
  * Closes: #41681, #42544

 -- John Hasler <john@dhh.gt.org>  Wed, 21 July 1999 14:30:00 -0600

pppconfig (1.9.2beta2.0) unstable; urgency=low

  * Fixed minor typo.
  * Shortened screens by one line to fit 24 line terminals
  * Rewrote main screen text for above.
  * Added menu entry.
  * Fixed typo in dns-clean.
  * Closes: #40939, #40940, #37235, #41048

 -- John Hasler <john@dhh.gt.org>  Sat, 10 July 1999 22:00:00 -0600

pppconfig (1.9.1beta2.0) unstable; urgency=low

  * Fixed confusing behavior of 'Change' and 'Delete' screens
    when no providers exist.
  * Fixed alignment problem in 'Properties' screen with patch
    from Brad <lists@anomie.dhis.org>.
  * Made CHAP default to '*' in the second chap-secrets field.

 -- John Hasler <john@dhh.gt.org>  Tue, 6 July 1999 12:05:00 -0600

pppconfig (1.9beta2.0) unstable; urgency=low

  * Complete rewrite in Perl.
  * Automatic modem detection.
  * Seperate nameservers for each provider.
  * Dynamic DNS.
  * i18.
  * Many other enhancements.

 -- John Hasler <john@dhh.gt.org>  Mon, 28 Jun 1999 12:05:00 -0600

pppconfig (1.2) unstable; urgency=low

  * Added '--noname' option, added postrm.

 -- John Hasler <john@dhh.gt.org>  Tue, 23 Feb 1999 12:05:00 -0600

=== debian/control ===
Source: pppconfig
Section: base
Priority: optional
Maintainer: John Hasler <jhasler@debian.org>
Standards-Version: 3.0.1

Package: pppconfig
Architecture: all
Depends:  ppp (>= 2.3.7), whiptail | dialog
Description: A text menu based utility for configuring ppp.
 It provides extensive explanations at each step.  pppconfig supports
 PAP, CHAP, and chat methods of authentication.  It uses the standard 
 ppp configuration files and sets ppp up so that the standard pon and
 poff commands can be used to control ppp.
 Some features supported by pppconfig are:
  - Multiple ISP's with separate nameservers.
  - Modem detection.
  - Dynamic DNS.
  - Dial on demand.

## pppconfig 2.0.14

=== debian/changelog ===
pppconfig (2.0.14) unstable; urgency=high

  * Fixed really, really, really stupid bug in 0dns-up that I
    introduced in fixing the -e bug.
  * Closes: #127042
  
 -- John Hasler <john@dhh.gt.org>  Fri, 4 Jan 2002 8:00:00 -0600

pppconfig (2.0.13) unstable; urgency=low

  * Escaped backticks.
  * Closes: #127174
  
 -- John Hasler <john@dhh.gt.org>  Tue, 1 Jan 2002 12:00:00 -0600
  

pppconfig (2.0.12) unstable; urgency=high

  * Fixed the bug I introduced in too-hastily fixing the -e bug.
  * Closes: #126937
  
 -- John Hasler <john@dhh.gt.org>  Sat, 29 Dec 2001 19:00:00 -0600
  

pppconfig (2.0.11) unstable; urgency=high
  
  * Fixed test -e bug
  * Closes: #123971
  * Corrected description
  * Closes: #125266
  * This is not a pppconfig bug
  * Closes: #123864
  * IMHO it is not a bug for dns-clean to croak about a missing
    esential file.
  * Closes: #110515
  * Now the loop is gone but the 'Advanced' menu is screwed up
    in gdialog.  Sigh.
  
 -- John Hasler <john@dhh.gt.org>  Fri, 28 Dec 2001 15:10:00 -0600

pppconfig (2.0.10) unstable; urgency=high
  
  * Disabled gdialog because of a bug that causes a loop. 
    A proper fix will follow ASAP.
  * Closes: #114376
  
 -- John Hasler <john@dhh.gt.org>  Thu, 4 Oct 2001 10:10:00 -0500  
  

pppconfig (2.0.9) unstable; urgency=low

  * Fixed version number.
  * Closes: #56249
  * Changed menu entry to use su-to-root.
  * Closes: #51317
  * Make sure /etc/init.d/nscd exists before running it in 0dns-up
    and 0dns-down.  nscd is now documented: use 'nscd -i hosts'.
  * Closes: #97665
  * Closes: #107829
  * Add ABORT DELAYED to abort string.
  * Closes: #94431
  * Fixed typo in 0dns-up.
  * Closes: #67788
  * Commented out blank-line eater.  We'll see if this works.
  * Closes: #62316
  * Installed 0dns-up patch from Sergio Gelato <Sergio.Gelato@astro.su.se>
  * Closes: #69513
  * Added text suggesting quotes in username and password text.
  * Not a real fix, but it will do for now.
  * Closes: #69124

 -- John Hasler <john@dhh.gt.org>  Fri, 18 May 2001 17:00:00 -0500

pppconfig (2.0.8) unstable; urgency=low

  * Changed 'gdialog --version' to 'gdialog --version 2>&1' because
    some versions of gdialog print their version string on stderr.
  * Replaced 'echo' with '/bin/echo' in scripts to make ash happy.
  * Made whiptail the lowest priority UI because of a slang bug.

 -- John Hasler <john@dhh.gt.org>  Sun, 13 May 2001 11:00:00 -0500

pppconfig (2.0.7) unstable; urgency=medium

  * Perl doesn't like '_()' as a synonym for 'gettext()' after all.

 -- John Hasler <john@dhh.gt.org>  Fri, 11 May 2001 21:00:00 -0500

pppconfig (2.0.6) unstable; urgency=low

  * Added '/etc/init.d/nscd reload' to 0dns-up and 0dns-down.
  * Closes: #50481
  * 57438 was actually fixed in 2.0.5.
  * Closes: #57438
  * Closes: #57560
  * This probably should have been reassigned to ppp, but as it is
    a year old I'm just going to close it.
  * Closes: #58562
  * I was unable to reproduce this either on i386 or powerpc.
  * Closes: #60777
  * Renamed /etc/rcS.d/S20dns-clean /etc/rcS.d/S39dns-clean.
  * Closes: #62206
  * Added a warning not to put spaces in provider names.  I may 
    eventually add a test for this.
  * Closes: #65193
  * The /dev/modem link is deprecated.  I'm not sure what to do to
    get along with pcmcia, but this isn't it.
  * Closes: #66071
  * This one is user error (and I never received the report from the bts).
  * Closes: #67290
  * User error again, I think.  Looks like he didn't know that pon defaults
    to provider.
  * Closes: #76980
  * Fixed in 0dns-down.
  * Closes: #75620
  * pppconfig now includes EXPERIMENTAL support for kdialog and xdialog.
  * Changed handling of UI selection.  Now it will try try the selected UI 
    first, then gdialog, then whiptail, then dialog, and only then fail 
    with 'No UI'.  Tests to make sure that the gdialog version is 
    gdialog (gnome-utils 1.4.0) 0.6gnome1-debian.
  * First entry on main menu now tells the user what connection she is
    about to change or create if noname is set.

 -- John Hasler <john@dhh.gt.org>  Tue, 1 May 2001 21:00:00 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: base
 Priority: optional
 Maintainer: John Hasler <jhasler@debian.org>
-Standards-Version: 3.0.1
+Standards-Version: 3.2.1.0
+Build-Depends: debhelper
 
 Package: pppconfig
 Architecture: all
@@ -13,7 +14,7 @@
  ppp configuration files and sets ppp up so that the standard pon and
  poff commands can be used to control ppp.
  Some features supported by pppconfig are:
-  - Multiple ISP's with separate nameservers.
+  - Multiple ISPs with separate nameservers.
   - Modem detection.
   - Dynamic DNS.
   - Dial on demand.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -g root -o root -m 700 pppconfig `pwd`/debian/tmp/usr/sbin
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installchangelogs 
	cp 0dns-up debian/tmp/etc/ppp/ip-up.d/
	cp 0dns-down debian/tmp/etc/ppp/ip-down.d/
	cp dns-clean debian/tmp/etc/init.d/
	dh_compress
	dh_fixperms
	chmod 755 debian/tmp/etc/ppp/ip-down.d/0dns-down 
	chmod 755 debian/tmp/etc/init.d/dns-clean
	chmod 755 debian/tmp/etc/ppp/ip-up.d/0dns-up
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## pppconfig 2.3.2ubuntu3

=== debian/changelog ===
pppconfig (2.3.2ubuntu3) warty; urgency=low

  * Unbreak 'Change' command, so it changes for non-standard devices (i.e.
    non-ttySxx devices), and fix the general non-ttySxx case (closes:
    Ubuntu#2009).

 -- Daniel Stone <daniel.stone@canonical.com>  Mon,  4 Oct 2004 19:28:15 +1000

pppconfig (2.3.2ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 15:14:53 -0400

pppconfig (2.3.2ubuntu1) warty; urgency=low

  * dns-clean: pretty iniscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 11:55:27 -0400

pppconfig (2.3.2) unstable; urgency=low

  * Fixed setlocale() bug by replacing LC_MESSAGES with
    $ENV{LC_MESSAGES}.
  
  * Added ^ and $ to options code.

  * Added '--' to @uilist after @options in dialogbox() to work around
    whiptail bug.
    Closes: #248852 Accounts with passwords starting with "-" can't be changed
  
  * Added code to deleteconnection() and changeConnection() to handle the case
    that there are no connections.  Now you get a messagebox instead of an
    immediate exit.  Added "Return to Previous Menu" as first item on Delete menu.
   
  * Disabled code in finish() intended to prevent accidental deletion of the
    new connection.
    Closes: #248856 Connection name with identical username produce .bak-loop when deleted
  
 -- John Hasler <jhasler@debian.org>  Mon, 17 May 2004 13:23:45 -0500

pppconfig (2.3.1) unstable; urgency=low

  * Installed patch from Thomas Hood to use resolvconf in
    0dns-up and 0dns-down.
    Closes: #242092 Patch to add resolvconf support to 0dns-*

 -- John Hasler <jhasler@debian.org>  Wed, 14 APR 2004 21:00:00 -0500
  

pppconfig (2.3) unstable; urgency=low

  * Revised whiptail/dialog interface so that '--nocancel' and 
    '--defaultno' work properly with dialog.
  
  * CANCEL now goes back to the previous menu rather than to MAIN.
    The latter was the documented behavior but users found it confusing.
    Closes: #144862 Advanced config menu cancel drops entire session not
    dropping back one level

  * A "@" in delete() had somehow turned into a "$".  Bit-rot?
    Fixed it.
    Closes: #199223 `Delete' option does not work

  * Removed superfluous rms from postrm.
    Closes: #202682: No need for postrm to delete conffiles on purge
  
  * Changed finish() to not create more than one backup.  Eliminates 
    Swedish chef effect and allows deletion of backups.
  
  * Changed 0dns-up to strip options from PPP_IPPARAM and to exit if
    PROVIDER is not to be found in PPPRESOLV.
    Closes: #191832 /etc/ppp/ip-up.d/0dns-up will not work for 
    `ipparam "earthlink -f"'
  
 -- John Hasler <jhasler@debian.org>  Sun, 21 Mar 2004 18:00:00 -0600
  

pppconfig (2.2.0) unstable; urgency=low

  * Rewrote chatescape, replaced all the quote inserting and 
    stripping stuff with calls to it, did some miscellaneous 
    cleanup.
	
  * Fixed in 2.0.15.  See bug #138344.
    Closes: #152278 error message when /etc/resolv.conf is missing during
    first time install
	
  * Clarified license.
    Closes: #176900 unclear license in /etc/ppp/ip-up.d/0dns-up
	
  * Eliminated "echo -e" usage.
    Closes: #187527 "0dns-up" not POSIX sh compatible - trashes
    /etc/resolv.conf if a POSIX sh is used as default
	
  * Fixed 0dns-up to use mktemp to create TEMPRESOLV and to put it 
    in /var/run/pppconfig.
	
  * Fixed ispname() and isppassword().
    Closes: #183495 Nokia 6310i w/ Orange GPRS does not need a username
    or password in chatscripts
	
  * Added text to getnameservers() to make it clear that resolv.conf
    will not be touched if "None" is selected.
    Closes: #187651 Please document how to keep resolv.conf static
	
  * Rewrote 0dns-up and 0dns-down to not put tempfiles in /etc, to not
    restore /etc/resolv.conf in 0dns-down if it has been overwritten,
    to use update-resolv if available, and to work with a r/o root.
    Closes: #187810 Please support read-only /etc
    Closes: #187651 Please make resolv.conf futzing optional
	
  * Added text to man page discussing resolv.conf files.
    Closes: #63670 Please document how to customize resolv.conf files
	
 -- John Hasler <john@dhh.gt.org>  Fri, 30 May 2003 10:00:00 -0500
	

pppconfig (2.1) unstable; urgency=low

  * Remove all trailing newlines from secrets file, add one 
    ahead of new entry, and add a trailing newline.
  * Closes: #153436 pppconfig: adds non carriage return 
    terminated lines into /etc/ppp/pap-secrets 
  * Rewrote dialogbox() to use pipe/fork/exec instead of backtics.
    This allowed me to remove all the quoting intended to protect
    strings against the shell.  This will make quoting and escaping
    chat and pppd special characters much easier.
  * Changed some regexps to eq's in secrets_file() /get/ section.
  * Closes: #170494 "dummy user\" crashes pppconfig
    Fixed 0dns-up to stop looking for USEPEERDNS as pppd apparently 
    no longer exports it.  Fixes several informally reported bugs.
  * Added code to handle MS_DNS variables to used by ipppd to pass
    nameservers to 0dns-up.
  * Closes: #129871 Use MS DNS does not work if using ipppd
  
 -- John Hasler <john@dhh.gt.org>  Thu, 12 Dec 2002 19:00:00 -0600

pppconfig (2.0.15) unstable; urgency=low

  * Added a line to escape double quotes in username in "properties"
    stuff.
  * Closes: #149869
  * Added patch from Alexis Huxley to make 0dns-clean test for the
    existence of 0dns-down.
  * Closes: #136558
  * Patched 0dns-up and 0dns-down to check for the existence of
    resolv.conf.
  * Closes: #138344

 -- John Hasler <john@dhh.gt.org>  Thu, 13 Jun 2002 21:00:00 -0500
	

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+# $Id: rules,v 1.1.1.1 2004/05/07 03:12:59 john Exp $
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Cristoph Lameter.
@@ -40,15 +41,12 @@
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
 	dh_installexamples
-	dh_installmenu
-	dh_installcron
+	dh_installmenu --noscripts
+	dh_installcron --noscripts
 	dh_installmanpages
 	dh_installchangelogs 
 	cp 0dns-up debian/tmp/etc/ppp/ip-up.d/
@@ -63,6 +61,8 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
+# Build architecture-dependent files here.
+binary-arch: build install
 
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## pppconfig 2.3.10ubuntu1

=== debian/changelog ===
pppconfig (2.3.10ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <mvo@debian.org>  Wed, 12 Jan 2005 09:10:52 +0100

pppconfig (2.3.10) unstable; urgency=low

  * Changes in mkmenu() and isppassword() to put \q inside quotes
    due to pppd's handling of quotes.
    Closes: #285986: pppconfig: Wrong password stored in /etc/chatscripts/provider

  * Removed newlines from strings, all new translations.
    Closes: #283220: pppconfig: [INTL:ro] Romanian translation
    Closes: #283213: pppconfig: [INTL:el] Translation update
    Closes: #282180: pppconfig: [l10n:pt] Translation update
    Closes: #282115: pppconfig: [INTL:ru] Translation update
    Closes: #282105: [INTL:tr] Translation update
    Closes: #282034: pppconfig: [INTL:cs] Translation update
    Closes: #281963: pppconfig es translation needs to be updated
    Closes: #281951: pppconfig: [INTL:fi] Translation update
    Closes: #281949: pppconfig: [INTL:de] Update German translation de.po
    Closes: #281943: pppconfig: [INTL:fr] Translation update
    Closes: #281932: [INTL:nl] updated dutch translation
    Closes: #281914: pppconfig: [INTL:eu] Translation update
    Closes: #281889: pppconfig: [INTL:da] Translation update
    Closes: #281886: pppconfig: [INTL:zh_CN] Translation update
    Closes: #281866: pppconfig: [INTL:ja] Translation update
    Closes: #281864: pppconfig: [INTL:it] Translation update
    Closes: #281861: pppconfig: [INTL:sk] Translation update
    Closes: #281304: [INTL:zh_TW] initial Translation Chinese translation
    Closes: #280416: pppconfig: [INTL:lt] initial Lithuanian translation
    
 -- John Hasler <jhasler@debian.org>  Sat, 25 Dec 2004 20:43:55 -0600

pppconfig (2.3.9) unstable; urgency=low

  * Edited main menu.
    Closes: #280328: Several usability issues during a German install
  
 -- John Hasler <jhasler@debian.org>  Wed, 17 Nov 2004 20:42:44 -0600

pppconfig (2.3.8ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 17 Nov 2004 00:10:46 +0000

pppconfig (2.3.8) unstable; urgency=low

  * New po/ko.po from Changwoo Ryu.
    Closes: #263865: [INTL:ko] New korean translation

  * New po/de.po from Dennis Stampfer.
    CLoses: #262647 [INTL:de] Update German translation de.po
  
  * New po/fi.po from Tapio Lehtonen.
    Closes: #260580 [INTL:fi] Updated Finnish translation
  
 -- John Hasler <jhasler@debian.org>  Mon,  8 Nov 2004 20:06:48 -0600

pppconfig (2.3.7ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 14:28:37 +0100

pppconfig (2.3.7) unstable; urgency=low

  * New po/it.po from  Stefano Canepa.
    Closes: #274548: [INTL:it] updated italian translation
  
  * New po/nl.po from Luk Claes.
    Closes: #274855: [INTL:nl] updated dutch translation of the program translations
  
  * New po/tr.po from Recai Oktas.
    Closes: #271229: [INTL:tr] Update for Turkish po translation
  
  * New po/he.po from Lior Kaplan.
    Closes: #271161: [INTL:he] updated Hebrew translation for pppconfig

  * New po/nb.po from Bjørn Steensru.
    Closes: #275770: [l10n:nb] Norwegian Bokmal translation
  
 -- John Hasler <jhasler@debian.org>  Sun, 10 Oct 2004 20:49:44 -0500

pppconfig (2.3.6) unstable; urgency=low

  * The only changes in this upload are translations.
  
  * Added po/it.po from  Stefano Canepa.
  Closes: #262997: pppconfig italian translation is ready
  
  * Added po/fi.po from Tapio Lehtonen.
  Closes: #263164: pppconfig: [INTL:fi] Updated finnish translation
  
  * Added po/ca.po from Jordi Mallach.
  Closes: #263188: [INTL:ca] New Catalan translation
  
  * Added new po/sk.po from Peter Mann.
  Fixes erroneously labeled translation
  
  * Added new po/es.po from Ruben Porras.
  Closes: #264811: pppconfig: [INTL:es] spanish translation update
  
  * Added new po/nl.po from Luk Claes.
  Closes: #267562: [INTL:nl] new dutch po translation
  
  * Added new po/ru.po from Yuri Kozlov.
  Closes: #267830: pppconfig: [l10n] Russian translation
  
  * Updated po/nn.po from Hvard Korsvoll.
  Closes: #268867: pppconfig: [INTL:nn] Updated translations for norwegian nynorsk
  
  * Updated po/pt.po from  Miguel Figueiredo.
  Closes: #268876: Updated PT translation
  
  * New po/zh_CN.po from Carlos Z.F. Liu.
  Closes: #269076: pppconfig: [INTL:zh_CN] Simplified Chinese translation
  
  * Corrected Hebrew translation file name: he, not po.
  Closes: #269704: File is incorrectly named

  * Applied patch from Roland Stigge.
  Closes: #268930: pppconfig: Misleading mistake in German translation
  
 -- John Hasler <jhasler@debian.org>  Tue,  7 Sep 2004 08:12:07 -0500

pppconfig (2.3.5) unstable; urgency=low

  * Defined PPPRESOLV in 0dns-down.
    Closes: # 262314: 0dns-down does not restore /etc/resolv.conf

  * Corrected po/es.po from Ruben Porras.
    Closes: #260487: pppconfig: [INTL:es] es.po corrections
  
  * Corrected po/da.po from Claus Hindsgaul.
    Closes: #260563: pppconfig: [INTL:da] Updated Danish program translation
  
  * Corrected po/fr.po from Christian Perrier.
    Closes: #260589: pppconfig: French translation update
  
  * Corrected po/cs.po from Miroslav Kure.
    Closes: #260869: [l10n] Updated Czech translation of pppconfig
  
  * Corrected po/pl.po from Artur Szymanski.
    Closes: #261292: [l10n] Updated Polish translation
  
  * Corrected po/sk.po from Peter Mann.
    Closes: #261487: [l10n] New Slovak translation of pppconfig
  
 -- John Hasler <jhasler@debian.org>  Sat, 31 Jul 2004 21:36:59 -0500

pppconfig (2.3.4) unstable; urgency=low

  * Added po/pt.po from  Miguel Figueiredo.
    Closes: #259605 PT translation for pppconfig
  
  * Added po/pl.po from Artur Szymanski.
    Closes: #253276 Polish translation of pppconfig based on Kenshi Mutos patch

  * Patched po/pt_BR.po with patch from  Andre Luis Lopes.
    Closes:  #260039 Please apply attached patch to update Brazilian Portuguese translation
  


## pppconfig 2.3.11

=== debian/changelog ===
pppconfig (2.3.11) unstable; urgency=low

  * More translations:
    CLoses: #296413 pppconfig: [INTL:gl] Galician translation
    Closes: #294700 pppconfig: [INTL:tl] Tagalog program templates translation
    Closes: #292173 pppconfig: [INTL:nb] Norwegian Bokmal translation
    Closes: #288538 pppconfig: [INTL:id] Indonesian translation
  
 -- John Hasler <jhasler@debian.org>  Wed, 23 Mar 2005 11:55:35 -0600

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: base
 Priority: optional
 Maintainer: John Hasler <jhasler@debian.org>
-Standards-Version: 3.2.1.0
-Build-Depends: debhelper
+Standards-Version: 3.5.8.0
+Build-Depends-Indep: debhelper, debianutils
 
 Package: pppconfig
 Architecture: all
 Depends:  ppp (>= 2.3.7), whiptail | dialog
-Description: A text menu based utility for configuring ppp.
+Description: A text menu based utility for configuring ppp
  It provides extensive explanations at each step.  pppconfig supports
  PAP, CHAP, and chat methods of authentication.  It uses the standard 
  ppp configuration files and sets ppp up so that the standard pon and

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# $Id: rules,v 1.1.1.1 2004/05/07 03:12:59 john Exp $
+# $Id: rules,v 1.4 2004/07/19 19:25:14 john Exp $
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Cristoph Lameter.
@@ -12,7 +12,14 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	#$(MAKE) 
+	#$(MAKE)
+	LANGUAGES=""
+	for FILE in po/*.po; do LANG=$$(basename $$FILE .po); \
+	LANGUAGES="$$LANGUAGES $$LANG"; \
+	done; \
+	for F in $${LANGUAGES}; do \
+	  msgfmt -o po/$$F.mo po/$$F.po; \
+	done
 
 	touch build-stamp
 
@@ -23,6 +30,7 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
+	rm -f po/*.mo
 
 	dh_clean
 
@@ -36,6 +44,13 @@
 	# Add here commands to install the package into debian/tmp.
 	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
 	install -g root -o root -m 700 pppconfig `pwd`/debian/tmp/usr/sbin
+	LANGUAGES=""
+	for FILE in po/*.mo; do LANG=$$(basename $$FILE .mo); \
+	LANGUAGES="$$LANGUAGES $$LANG"; \
+	done; \
+	for F in $${LANGUAGES}; do \
+	  mkdir -p `pwd`/debian/tmp/usr/share/locale/$$F/LC_MESSAGES && cp po/$$F.mo `pwd`/debian/tmp/usr/share/locale/$$F/LC_MESSAGES/pppconfig.mo; \
+	done
 	touch install-stamp
 
 # Build architecture-independent files here.

## pppconfig 2.3.11ubuntu2

=== debian/changelog ===
pppconfig (2.3.11ubuntu2) breezy; urgency=low

  * Use somewhat less cryptic language in the init script message

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 29 Aug 2005 16:23:29 -0700

pppconfig (2.3.11ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Reduce the size of our diff significantly by undoing what appears
    to be the result of an accidental "debconf-updatepo" run in the
    source before upload.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 21 Apr 2005 09:04:08 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: pppconfig
 Architecture: all
-Depends:  ppp (>= 2.3.7), whiptail | dialog
+Depends:  ppp (>= 2.3.7), whiptail | dialog, lsb-base (>= 1.3-9ubuntu3)
 Description: A text menu based utility for configuring ppp
  It provides extensive explanations at each step.  pppconfig supports
  PAP, CHAP, and chat methods of authentication.  It uses the standard

## pppconfig 2.3.11ubuntu5

=== debian/changelog ===
pppconfig (2.3.11ubuntu5) dapper; urgency=low

  * Move init script to S55. 

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Feb 2006 15:28:38 +0000

pppconfig (2.3.11ubuntu4) dapper; urgency=low

  * Squelch the silly output.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Jan 2006 14:26:42 +0000

pppconfig (2.3.11ubuntu3) dapper; urgency=low

  * Move dns-clean init script to S45.
  * Move backup resolv.conf to /var/cache/pppconfig 

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Jan 2006 14:20:54 +0000

## pppconfig 2.3.12ubuntu1

=== debian/changelog ===
pppconfig (2.3.12ubuntu1) edgy; urgency=low

  [ Ongoing Merge Process ]
  * Merge from debian unstable.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 28 Jun 2006 23:49:39 +0100

pppconfig (2.3.12) unstable; urgency=low

  * Added debian/compat file with '4' in it, patched debian/rules 
    appropriately.
  
  * Added call to (patched) po/update.sh to debian/rules.
  Closes: #281854: pppconfig: Translation build system missing a way to update POT and PO files
  
  * Applied patch to handle manpage translations (and then fixed the patch).
  Closes: #278062: pppconfig: Switch to po4a to handle manpage translations
  
  * Patched prerm.
  Closes: #254799: XSI:isms in debian/prerm
  
  * Patched postrm.
  Closes: #295558: avoid error message on purge
  
  * Fixed typos in man page.
  Closes: #302742: 'man pppconfig' typos: "seperate" & "proviously"
  
  * More translations:
  Closes: #336842: pppconfig: French translation spelling errors
  Closes: #307880: INTL:vi
  Closes: #313820: pppconfig: [INTL:de] German PO file corrections
  Closes: #316966: INTL:vi
  Closes: #344637: [INTL:el] Greek language update
  Closes: #287502: pppconfig: [INTL:pl] translation update
  Closes: #301324: pppconfig: [INTL:lt] initial Lithuanian translation
  Closes: #306050: pppconfig: [INTL:eu] Basque translation update
  Closes: #311402: pppconfig: [INTL:it] Translation update
  Closes: #332674: pppconfig: [INTL:sv] Swedish PO-template translation
  
 -- John Hasler <jhasler@debian.org>  Sun, 25 Dec 2005 16:23:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: base
 Priority: optional
 Maintainer: John Hasler <jhasler@debian.org>
-Standards-Version: 3.5.8.0
-Build-Depends-Indep: debhelper, debianutils
+Standards-Version: 3.6.2.1
+Build-Depends-Indep: debhelper, debianutils (>= 2.10.3), po4a (>= 0.18.1)
 
 Package: pppconfig
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,23 @@
 
 	# Add here commands to compile the package.
 	#$(MAKE)
+
+	po4a man/po4a.cfg
+	po/update.sh
+
 	LANGUAGES=""
 	for FILE in po/*.po; do LANG=$$(basename $$FILE .po); \
 	LANGUAGES="$$LANGUAGES $$LANG"; \
 	done; \
 	for F in $${LANGUAGES}; do \
 	  msgfmt -o po/$$F.mo po/$$F.po; \
+	done
+
+	for FILE in man/po/*.po; do LANG=$$(basename $$FILE .po); \
+	LANGUAGES="$$LANGUAGES $$LANG"; \
+	done; \
+	for F in $${LANGUAGES}; do \
+	  msgfmt -o man/po/$$F.mo man/po/$$F.po; \
 	done
 
 	touch build-stamp
@@ -31,7 +42,8 @@
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
 	rm -f po/*.mo
-
+	po4a man/po4a.cfg
+	rm man/pppconfig.*.8
 	dh_clean
 
 install: install-stamp
@@ -41,15 +53,15 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
-	install -g root -o root -m 700 pppconfig `pwd`/debian/tmp/usr/sbin
+	# Add here commands to install the package into debian/pppconfig.
+	#$(MAKE) install DESTDIR=`pwd`/debian/pppconfig
+	install -g root -o root -m 700 pppconfig `pwd`/debian/pppconfig/usr/sbin
 	LANGUAGES=""
 	for FILE in po/*.mo; do LANG=$$(basename $$FILE .mo); \
 	LANGUAGES="$$LANGUAGES $$LANG"; \
 	done; \
 	for F in $${LANGUAGES}; do \
-	  mkdir -p `pwd`/debian/tmp/usr/share/locale/$$F/LC_MESSAGES && cp po/$$F.mo `pwd`/debian/tmp/usr/share/locale/$$F/LC_MESSAGES/pppconfig.mo; \
+	  mkdir -p `pwd`/debian/pppconfig/usr/share/locale/$$F/LC_MESSAGES && cp po/$$F.mo `pwd`/debian/pppconfig/usr/share/locale/$$F/LC_MESSAGES/pppconfig.mo; \
 	done
 	touch install-stamp
 
@@ -62,16 +74,17 @@
 	dh_installexamples
 	dh_installmenu --noscripts
 	dh_installcron --noscripts
-	dh_installmanpages
+#	dh_installmanpages
+	dh_installman man/pppconfig.8
 	dh_installchangelogs 
-	cp 0dns-up debian/tmp/etc/ppp/ip-up.d/
-	cp 0dns-down debian/tmp/etc/ppp/ip-down.d/
-	cp dns-clean debian/tmp/etc/init.d/
+	cp 0dns-up debian/pppconfig/etc/ppp/ip-up.d/
+	cp 0dns-down debian/pppconfig/etc/ppp/ip-down.d/
+	cp dns-clean debian/pppconfig/etc/init.d/
 	dh_compress
 	dh_fixperms
-	chmod 755 debian/tmp/etc/ppp/ip-down.d/0dns-down 
-	chmod 755 debian/tmp/etc/init.d/dns-clean
-	chmod 755 debian/tmp/etc/ppp/ip-up.d/0dns-up
+	chmod 755 debian/pppconfig/etc/ppp/ip-down.d/0dns-down 
+	chmod 755 debian/pppconfig/etc/init.d/dns-clean
+	chmod 755 debian/pppconfig/etc/ppp/ip-up.d/0dns-up
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## pppconfig 2.3.15

=== debian/changelog ===
pppconfig (2.3.15) unstable; urgency=low

  * Added 'mkdir /var/run/pppconfig >/dev/null 2>&1 || true' to dns-clean.
    Closes: #387833: pppconfig: Do not expect the /var/run/ content to persist
  
  * Fixed LSB header in dns-clean.
    Closes: #387834: dns-clean: Inaccurate LSB-header in init.d script

 -- John Hasler <jhasler@debian.org>  Sat,  7 Oct 2006 14:57:07 -0500

pppconfig (2.3.14) unstable; urgency=low

  * Fixed logic error in 0dns-up.
    Closes: #381495: pppconfig: Does not handle /etc/ppp/resolv/$PROVIDER properly
  
  * New French translation from Gregory Colpart <reg@evolix.fr>
    Closes: #381548: pppconfig: French templates translation

  * New French translation of man page from Gregory Colpart <reg@evolix.fr>
    Closes: #381559: pppconfig: French man translation update
  
  * Appied debian/rules patch from Thomas Huriaux <thomas.huriaux@gmail.com>.
    French man page is now properly generated and installed.
  
 -- John Hasler <jhasler@debian.org>  Tue, 15 Aug 2006 15:54:10 -0500

pppconfig (2.3.13) unstable; urgency=low

  * Applied patch from Sven Mueller <debian@incase.de>
    adding LSB headers to dns-clean.
    Closes: #332857: Forgot about this bug in last upload?

  * Installed patch from Thomas Hood <jdthood@yahoo.co.uk> to restart nscd.
    Closes: #281360 pppconfig: ip-up.d/0dns-up, ip-down.d/0dns-down: Should restart nscd
    Closes: #352304: should depend on nscd for /etc/ppp/ip-up.d/0dns-up's
    call to /usr/sbin/nscd
  
  * More translations:
    Closes: #361422 pppconfig: [INTL:ru] Updated Russian translation
    Closes: #346464: pppconfig: [INTL:fr] French program translation
    Closes: #345970: pppconfig: [INTL:sv] Updated Swedish PO translation

  * Fixed 0dns-up to properly test for a pre-existing RESOLVBAK.
    Closes: #302436: 0dns-up does not really exit if $RESOLVCONF.bak already exists
  
  * Fixed 0dns-up to properly test for non-symlink resolv.conf on a ro root using code
    from Thomas Hood <jdthood@yahoo.co.uk>.
    Closes: #302350: 0dns-up does not really test whether resolv.conf is a symlink
  
  * Patched debug() with patched from  Jacobo Tarrio Barreiro <jtarrio@debian.org>.
    Closes: #296405: pppconfig: Translations are forced to have unnecessary weirness
  
 -- John Hasler <jhasler@debian.org>  Wed, 19 Jul 2006 18:47:48 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: base
 Priority: optional
 Maintainer: John Hasler <jhasler@debian.org>
-Standards-Version: 3.6.2.1
-Build-Depends-Indep: debhelper, debianutils (>= 2.10.3), po4a (>= 0.18.1)
+Standards-Version: 3.7.2.1
+Build-Depends-Indep: debianutils (>= 2.10.3), po4a (>= 0.23)
+Build-Depends: debhelper (>=4.2.32)
 
 Package: pppconfig
 Architecture: all
-Depends:  ppp (>= 2.3.7), whiptail | dialog, lsb-base (>= 1.3-9ubuntu3)
+Depends:  ppp (>= 2.3.7), whiptail | dialog
+Conflicts: nscd (<< 2.3.2.ds1-14)
 Description: A text menu based utility for configuring ppp
  It provides extensive explanations at each step.  pppconfig supports
  PAP, CHAP, and chat methods of authentication.  It uses the standard

## pppconfig 2.3.15ubuntu1

=== debian/changelog ===
pppconfig (2.3.15ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - lsb init script
    - use /var/cache/pppconfig
    - unbreak "change" so it works for non-standard devices

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 27 Nov 2006 14:04:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: pppconfig
 Architecture: all
-Depends:  ppp (>= 2.3.7), whiptail | dialog
+Depends:  ppp (>= 2.3.7), whiptail | dialog, lsb-base (>= 1.3-9ubuntu3)
 Conflicts: nscd (<< 2.3.2.ds1-14)
 Description: A text menu based utility for configuring ppp
  It provides extensive explanations at each step.  pppconfig supports

## pppconfig 2.3.15.etch1

=== debian/changelog ===
pppconfig (2.3.15.etch1) proposed-updates; urgency=low

  * Non-maintainer upload.
  * Add Replaces: manpages-fr (<< 2.39.1-5) (Closes: #418350)
  
 -- Luk Claes <luk@debian.org>  Wed,  8 Aug 2007 19:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 
 Package: pppconfig
 Architecture: all
-Depends:  ppp (>= 2.3.7), whiptail | dialog, lsb-base (>= 1.3-9ubuntu3)
+Depends:  ppp (>= 2.3.7), whiptail | dialog
 Conflicts: nscd (<< 2.3.2.ds1-14)
+Replaces: manpages-fr (<< 2.39.1-5)
 Description: A text menu based utility for configuring ppp
  It provides extensive explanations at each step.  pppconfig supports
  PAP, CHAP, and chat methods of authentication.  It uses the standard

## pppconfig 2.3.17ubuntu1

=== debian/changelog ===
pppconfig (2.3.17ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - lsb init script
    - use /var/cache/pppconfig
    - unbreak "change" so it works for non-standard devices

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Jun 2007 05:22:17 +0200

pppconfig (2.3.17) unstable; urgency=low

  * Put French man page back, add Replaces: manpages-fr
    Sigh.
  
 -- John Hasler <jhasler@debian.org>  Fri, 11 May 2007 13:29:18 -0500

pppconfig (2.3.16) unstable; urgency=high

  * Removed French man page.
    Closes: #418350: missing Replaces: manpages-fr (<< 2.39.1-5)

  * Corrected typo in dns-clean.
  
  * Removed spurious line from debian/dirs.
  
 -- John Hasler <jhasler@debian.org>  Wed, 25 Apr 2007 12:30:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pppconfig
-Section: base
+Section: admin
 Priority: optional
 Maintainer: John Hasler <jhasler@debian.org>
 Standards-Version: 3.7.2.1
@@ -8,9 +8,9 @@
 
 Package: pppconfig
 Architecture: all
-Depends:  ppp (>= 2.3.7), whiptail | dialog
+Depends:  ppp (>= 2.3.7), whiptail | dialog, lsb-base (>= 1.3-9ubuntu3)
 Conflicts: nscd (<< 2.3.2.ds1-14)
-Replaces: manpages-fr (<< 2.39.1-5)
+Replaces: manpages-fr
 Description: A text menu based utility for configuring ppp
  It provides extensive explanations at each step.  pppconfig supports
  PAP, CHAP, and chat methods of authentication.  It uses the standard

## pppconfig 2.3.18

=== debian/changelog ===
pppconfig (2.3.18) unstable; urgency=high

  * Changed "Replaces:" to Replaces: manpages-fr (<< 2.39.1-5)
  
  * Corrected typos in man/po/fr.po.
    Closes: Bug#470323: pppconfig: FTBFS: po4a fails
  
  * Fixed menu entry.
  
 -- John Hasler <jhasler@debian.org>  Mon, 10 Mar 2008 18:30:10 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 Package: pppconfig
 Architecture: all
-Depends:  ppp (>= 2.3.7), whiptail | dialog, lsb-base (>= 1.3-9ubuntu3)
+Depends:  ppp (>= 2.3.7), whiptail | dialog
 Conflicts: nscd (<< 2.3.2.ds1-14)
-Replaces: manpages-fr
+Replaces: manpages-fr (<< 2.39.1-5)
 Description: A text menu based utility for configuring ppp
  It provides extensive explanations at each step.  pppconfig supports
  PAP, CHAP, and chat methods of authentication.  It uses the standard

=== debian/rules ===
--- 
+++ 
@@ -25,13 +25,6 @@
 	  msgfmt -o po/$$F.mo po/$$F.po; \
 	done
 
-	for FILE in man/po/*.po; do LANG=$$(basename $$FILE .po); \
-	LANGUAGES="$$LANGUAGES $$LANG"; \
-	done; \
-	for F in $${LANGUAGES}; do \
-	  msgfmt -o man/po/$$F.mo man/po/$$F.po; \
-	done
-
 	touch build-stamp
 
 clean:
@@ -42,8 +35,7 @@
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
 	rm -f po/*.mo
-	po4a man/po4a.cfg
-	rm man/pppconfig.*.8
+	po4a --rm-translations man/po4a.cfg
 	dh_clean
 
 install: install-stamp
@@ -75,7 +67,7 @@
 	dh_installmenu --noscripts
 	dh_installcron --noscripts
 #	dh_installmanpages
-	dh_installman man/pppconfig.8
+	dh_installman man/pppconfig.8 man/pppconfig.fr.8
 	dh_installchangelogs 
 	cp 0dns-up debian/pppconfig/etc/ppp/ip-up.d/
 	cp 0dns-down debian/pppconfig/etc/ppp/ip-down.d/

## pppconfig 2.3.18ubuntu1

=== debian/changelog ===
pppconfig (2.3.18ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - lsb init script
    - use /var/cache/pppconfig
    - unbreak "change" so it works for non-standard devices

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 May 2008 10:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pppconfig
 Section: admin
 Priority: optional
-Maintainer: John Hasler <jhasler@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Hasler <jhasler@debian.org>
 Standards-Version: 3.7.2.1
 Build-Depends-Indep: debianutils (>= 2.10.3), po4a (>= 0.23)
 Build-Depends: debhelper (>=4.2.32)
 
 Package: pppconfig
 Architecture: all
-Depends:  ppp (>= 2.3.7), whiptail | dialog
+Depends:  ppp (>= 2.3.7), whiptail | dialog, lsb-base (>= 1.3-9ubuntu3)
 Conflicts: nscd (<< 2.3.2.ds1-14)
 Replaces: manpages-fr (<< 2.39.1-5)
 Description: A text menu based utility for configuring ppp

## pppconfig 2.3.18ubuntu2

=== debian/changelog ===
pppconfig (2.3.18ubuntu2) jaunty; urgency=low

  * debian/postinst: On upgrade, remove the old dns-clean rcS.d symlink and
    install into runlevels 1-5 instead.  This does not need to run before
    gdm.
  * dns-clean: Update LSB headers.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 20 Feb 2009 15:11:50 +0000
